package eu.mhsl.minenet.minigames.instance.game.stateless.types.towerdefense.towers;

import net.minestom.server.entity.EntityCreature;
import net.minestom.server.entity.EntityType;
import net.minestom.server.item.ItemStack;
import net.minestom.server.item.Material;

public class BruteTower extends Tower {
    public BruteTower() {
        super(EntityType.PIGLIN_BRUTE, 20, 2, 4);
        this.setItemInMainHand(ItemStack.of(Material.GOLDEN_AXE));
    }

    @Override
    protected void attack(EntityCreature enemy) {
        this.swingMainHand();
        this.causeDamage(enemy);
    }
}
